ttcn3.sh: clone deps on first run

Change-Id: Id41a64d1012b9f54811c19d593cab125322a5c96
diff --git a/ttcn3/ttcn3.sh b/ttcn3/ttcn3.sh
index 0b92c8f..d76fb9c 100755
--- a/ttcn3/ttcn3.sh
+++ b/ttcn3/ttcn3.sh
@@ -213,6 +213,13 @@
 
 build_testsuite() {
 	cd "$(get_testsuite_dir)"
+
+	local deps_marker="${DIR_OSMODEV}/ttcn3/make/.ttcn3-deps"
+	if ! [ -e "$deps_marker" ]; then
+		make -C "${DIR_OSMODEV}/src/osmo-ttcn3-hacks/deps" -j"$JOBS"
+		touch "$deps_marker"
+	fi
+
 	./gen_links.sh
 	./regen_makefile.sh
 	make compile